Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

Get build artifact file for InstrumentViewer requested as a blob.

Request

Security
Bearer
Path
artifactNamestringrequired

Name of InstrumentViewer build artifact.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/artifacts/{artifactName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Microsoft.AspNetCore.Mvc.FileContentResult

Body
string(binary)
Response
"string"

Get StreamingAsset file for InstrumentViewer requested as a blob.

Request

Security
Bearer
Path
streamingAssetNamestringrequired

Name of InstrumentViewer StreamingAsset.

curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/streamingassets/{streamingAssetName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Microsoft.AspNetCore.Mvc.FileContentResult

Body
string(binary)
Response
"string"

Performs cleanup operations for VENUS log files.

Request

Security
Bearer
Body

Venus log file cleanup options.

removePermanentlyboolean
cleanupCutoffUtcstring(date-time)
archiveFilePathstring or null
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/files/cleanup' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "removePermanently": true,
    "cleanupCutoffUtc": "2019-08-24T14:15:22Z",
    "archiveFilePath": "string"
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

InstrumentData

Operations

RunExecutor

Operations

System

Operations

Users

Operations